## org.apache.bcel.verifier.exc
Class InvalidMethodException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.bcel.verifier.exc.InvalidMethodException

All Implemented Interfaces:
  Serializable

    public class InvalidMethodException

extends RuntimeException

Instances of this class are thrown by BCEL's class file verifier "JustIce" when the verification of a method is requested that does not exist.

Version:
  $Id: InvalidMethodException.java 371539 2006-01-23 14:08:00Z tcurdt $
See Also:
  Serialized Form

Constructor Summary
`InvalidMethodException(String message)` Constructs an InvalidMethodException with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidMethodException

    public InvalidMethodException(String message)

  Constructs an InvalidMethodException with the specified detail message.

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.